Skip to main content
GET
Pick stories eligible for reuse

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Query Parameters

search
string | null

Search. Validation: nullable, string, max:255.

Maximum string length: 255
story_type
string | null

Story type. Validation: nullable, string, max:64.

Maximum string length: 64
privacy_level
enum<string> | null

Privacy level. Validation: nullable, string; allowed values: internal, donor_safe, public.

Available options:
internal,
donor_safe,
public,
null
consent_status
enum<string> | null

Consent status. Validation: nullable, string; allowed values: unknown, internal_only, donor_safe, public_safe.

Available options:
unknown,
internal_only,
donor_safe,
public_safe,
null
primary_program_id
integer | null

Primary program id. Validation: nullable, integer.

primary_entity_id
integer | null

Primary entity id. Validation: nullable, integer.

primary_donor_id
integer | null

Primary donor id. Validation: nullable, integer.

channel
string | null

Channel. Validation: nullable, string, max:64.

Maximum string length: 64
limit
integer | null

Limit. Validation: nullable, integer, min:1, max:100.

Required range: 1 <= x <= 100

Response

Operation result.

data
object[]